
%% black

config.toilim    = [-1 -0.1];
data_redef = ft_redefinetrial(config, data_add_trials);

config.method = 'mtmfft';
config.output = 'pow';
config.foi = 0.1:2:150.1;
config.taper = 'hanning';
config.channel = {'UADC003'};    

powerspec_bl = ft_freqanalysis(config,data_redef);

figure()
plot(powerspec.freq, powerspec.powspctrm);

%% white

config.toilim    = [0.3 1.3];
data_white = ft_redefinetrial(config, data_add_trials);

config.method = 'mtmfft';
config.output = 'pow';
config.foi = 0.1:2:150.1;
config.taper = 'hanning';
config.channel = {'UADC003'};    

powerspec_wh = ft_freqanalysis(config,data_white);

figure()
plot(powerspec.freq, powerspec.powspctrm);

%% grey

config.channel = {'UADC003'};
ft_databrowser(config,data_wo_trials);

cfg.dataset = '1_ESI-HMgammaRepSpecif_20180601_01.ds';
cfg.trialfun   = 'ft_trialfun_general';
cfg.trialdef.eventtype  = 'UPPT001';
cfg.trialdef.eventvalue = 80;
cfg.trialdef.prestim    = 0.8;
cfg.trialdef.poststim   = 0.1;
cfg = ft_definetrial(cfg);

data_grey = ft_preprocessing(cfg);

cfg.channel = {'UADC003'};
ft_databrowser(cfg,data_grey);

cfgg.toilim = [-1 0];
data_grey = ft_redefinetrial(cfgg, data_grey);

cfgg.method = 'mtmfft';
cfgg.output = 'pow';
cfgg.foi = 0.1:2:150.1;
cfgg.taper = 'hanning';
cfgg.channel = {'UADC003'};    

powerspec_gr = ft_freqanalysis(cfgg,data_grey);

figure()
plot(powerspec.freq, powerspec.powspctrm);

%% plots

% figure();
% plot (powerspec_bl.freq, powerspec_bl.powspctrm);
% hold on
% plot (powerspec_gr.freq, powerspec_gr.powspctrm);
% hold on
% plot (powerspec_wh.freq, powerspec_wh.powspctrm);
% 
% plot (powerspec_bl.freq, powerspec_bl.powspctrm);
% ylim([0 0.000000001])
% xlim([55 65])
