function out = slurmGetERFs( subj_nr )
%slurmGetERFs Call this function on Slurm to get per-subject, per-stimulus
%average V1 ERFs.

out = 0;
fprintf('Working on subject %s.\n', subj_nr);
herfderf = ERFs(subj_nr);
herfderf.loadData()
herfderf.lpfilterSensorData();
herfderf.computeAreaSources('V1');
out = herfderf.binnedERFs();

disp('Done with slurmRerunBeamforming!')
end

