function replotBrainPlots(basepath)
%replotBrainPlots Matlab on the cluster messes up PNG and PDF export of the
% DICS result plots. This function loads the .fig files and resaves the PNG
% and PDF files. Should be run from a laptop connected to the cluster 
% drives.

if ~exist('basepath', 'var')||isempty(basepath)
   basepath = "X:\Analysis\Results\Gammapower";
end

names{1} = "color_DICS_HCP";
names{2} = "contrast_DICS_HCP";
names{3} = "grating_DICS_HCP";

for iPlot = 1:length(names)
   plots{iPlot} = fullfile(basepath, names{iPlot}); 
   openfig(strcat(plots{iPlot}, ".fig"));
   export_fig(plots{iPlot}, '-png', '-nocrop', ...
                    '-q101', '-r1000')
   close all
end
disp('Done!')

end

