function [ group_cfg ] = groupSetup(obj)
% groupSetup Set up everything to run analyses over all subjects

addpath(genpath('/mnt/cs/projects/HMgammaColorSurf/Analysis'));
addpath(genpath('/opt/ESIsoftware/matlab'));

basepath = '/mnt/cs/projects/HMgammaColorSurf';

group_cfg = fillGroupConfigs(obj, basepath);

if ~group_cfg.general.useGithub
    group_cfg.general.fieldtrip = '/mnt/cs/opt/fieldtrip_esi';
elseif group_cfg.general.useGithub
    group_cfg.general.fieldtrip = '/mnt/cs/opt/fieldtrip_github';
end

addpath(group_cfg.general.fieldtrip)
ft_defaults;

end

