#!/bin/bash

# Which subjects do we want to run recon-all on?
#toRecon=("001" "003" "006" "009" "010" "011" "013" "015")
toRecon=("034")

echo "Running ${#toRecon[*]} recon-all-jobs." # Number of jobs

for i in ${!toRecon[*]}; do # Extend to fullfilename
	subjname=${toRecon[i]}
	echo "Calling recon-all on $subjname."
	sbatch -p 24GBL ./reconItOnSlurm.sh "$subjname"
done
