#!/bin/bash
# Run this after having fixed the brainmask.

. ./prepareFreesurfer.sh #get freesurfer variables

#now=$(date +"%T")
echo "Running post-brainmask recon-all: $now"

if [ -e $SUBJECTS_DIR/$1_T2.mgz ]; then
	echo "T2 found for subject $1."
	recon-all -autorecon2 -T2 $SUBJECTS_DIR/$1_T2.mgz -T2pial -autorecon3 -subjid "$1"
else
	echo "T2 not found for subject $1."
	recon-all -autorecon2 -autorecon3 -subjid "$1"
fi

now=$(date +"%T")
echo "Finishing post-brainmask recon-all: $now"

# Map to fs_LR space (and to HCP atlas)
echo "Mapping to fs_LR"
./mapToHCP.sh "$1"
