function out = slurmMakeERFtable( subj_nr )
%slurmMakeERFtable Call this function on Slurm to get per-subject, per-stimulus
%average V1 C1 sizes and save them in a per-trial table.

out = 0;
fprintf('Working on subject %s.\n', subj_nr);
herfderf = ERFs(subj_nr);
herfderf.loadData()
herfderf.lpfilterSensorData();
herfderf.computeAreaSources('V1');
herfderf.binnedERFs();
herfderf.makeERFtable();

disp('Done with slurmMakeERFtable!')
end

