function out = slurmRerunBeamforming( subj_nr )
%slurmRerunBeamforming Call this function on Slurm to run the beamforming
%pipeline (DICS + LCMV) per subject on slurm.

out = 0;
fprintf('Working on subject %s.\n', subj_nr);
beamy = Beamformer(subj_nr);
beamy.loadData();
beamy.createSourcemodel()
beamy.findGammasourceDICS();
beamy.computeLCMV();
disp('Done with slurmRerunBeamforming!')
out = 1;
end

