function out = slurmRerunPreprocessing( subj_nr )
%slurmRerunPreprocessing Call this function on Slurm to run the preprocessing
% pipeline on the cluster. Called in GroupAnalysis.

out = 0;
fprintf('Working on subject %s.\n', subj_nr);
prep = Preprocessing(subj_nr);
prep.loadRaw();
prep.savedArtefactDetection();
prep.removeArtefacts();
prep.QCplots();
fprintf('Done with preprocessing on subject %i.\n', subj_nr);
out = 1;
end

