function out = slurmStimPupil( subj_nr )
%slurmStimPupil Call this function on Slurm to generate and return the
%per-subject stimulus average pupil traces.

out = [];
fprintf('Working on subject %s.\n', subj_nr);
eyes = Eyedata(subj_nr);
eyes.loadData();
eyes.saccadeDetectEK();
out = eyes.pupilSizeAnalysis();
eyes.qcPlots();
disp('Done with slurmStimPupil!')
end

